#ifndef __MSR_H__
#define __MSR_H__

#include "windows.h"

//ŵ
#define MSR_Tk1				1					//д1
#define MSR_Tk2				2					//д2
#define MSR_Tk12			3					//д1,2 
#define MSR_Tk3				4					//д3
#define MSR_Tk13			5					//д1,3
#define MSR_Tk23			6					//д2,3
#define MSR_Tk123			7					//д1,2,3

///////////////////////////////////////////////////////////
#define DllImport extern "C" _declspec(dllimport)
///////////////////////////////////////////////////////////


/**********************************************************
**  : MSROpen
**  : 򿪴д
**      : int - 0:Open COMM OK;		1:Open COMM Fail; 
**					2:Write COMM Fail;	3:Not Be Found MSR
** ˵ : ComPort - "COM1", "COM2" ...
**********************************************************/
DllImport int __stdcall MSROpen(LPSTR ComPort);

/**********************************************************
**  : MSROpen
**  : رմд
**      : int - 0:Close COMM OK;	1:Close COMM Fail;
** ˵ : 
**********************************************************/
DllImport int __stdcall MSRClose(void);

/**********************************************************
**  : MSRSetHighCo
**  : ôдΪд߿״̬
**      : int - 0:Set Hi-Co OK;		1:Set High-Co Fail;
**					2:Write Comm Fail;	-1:COMM Closed
** ˵ : 
**********************************************************/
DllImport int __stdcall MSRSetHighCo(void);

/**********************************************************
**  : MSRSetLowCo
**  : ôдΪдͿ״̬
**      : int - 0:Set Low-Co OK;	1:Set Low-Co Fail;
**					2:Write Comm Fail;	-1:COMM Closed
** ˵ : 
**********************************************************/
DllImport int __stdcall MSRSetLowCo(void);

/**********************************************************
**  : MSRRead
**  : /
**      : int - 0:Read OK			1:Read Fail
**					2:Write Comm Fail	3:Wait Time Over
**					4:MSR Be User Reset -1:COMM Closed
** ˵ : nOvertime - Wait Swip Card Times(secoud)
**********************************************************/
DllImport int __stdcall MSRRead(int nOvertime);

/**********************************************************
**  : MSRGetTrackData
**  : ȡ/ϵĴ
**      : int - 0:Read Card OK		1:Read Card Fail
**					-1:nTrackNO Error	
** ˵ : nTrackNO:MSR_Tk1,MSR_Tk2,MSR_Tk3,MSR_Tk12,MSR_Tk13,MSR_Tk23,MSR_Tk123
**	      Tk1Data: Memory Of Save Track1 Data(if no data is NULL)
**	      Tk2Data: Memory Of Save Track2 Data(if no data is NULL)
**	      Tk3Data: Memory Of Save Track3 Data(if no data is NULL)
**********************************************************/
DllImport int __stdcall MSRGetTrackData(int nTrackNO, char Tk1Data[], char Tk2Data[], char Tk3Data[]);

/**********************************************************
**  : MSRWrite
**  : д/
**      : int - 0:Write OK			1:Write Fail
**					2:Write Comm Fail	3:Wait Time Over
**					4:MSR Be User Reset	-1:COMM Closed	
** ˵ :  nTrackNO:MSR_Tk1,MSR_Tk2,MSR_Tk3,MSR_Tk12,MSR_Tk13,MSR_Tk23,MSR_Tk123
**	      nOvertime:Wait Swip Card time(second)
**	      Tk1Data: Memory Point Of Track1 Data(if no data is NULL)
**	      Tk2Data: Memory Point Of Track2 Data(if no data is NULL)
**	      Tk3Data: Memory Point Of Track3 Data(if no data is NULL)
**********************************************************/
DllImport int __stdcall MSRWrite(int nTrackNO, int nOvertime, LPSTR Tk1Data, LPSTR Tk2Data, LPSTR Tk3Data);

/**********************************************************
**  : MSRErase
**  : /
**      : int - 0:Erase OK			1:Erase Fail
**					2:Write Comm Fail	3:Wait Time Over
**					4:MSR Be User Reset	-1:COMM Closed
** ˵ :  nTrackNO:1-7(MSR_Tk1,MSR_Tk2,MSR_Tk3,MSR_Tk12,MSR_Tk13,MSR_Tk23,MSR_Tk123
**	      nOvertime:Wait Swip Card time(second)
**********************************************************/
DllImport int __stdcall MSRErase(int nTrackNO, int nOvertime);

/**********************************************************
**  : MSRReset
**  : λ
**      : int - 0:Reset OK			1:Reset Fail
**					2:Write Comm Fail	-1:COMM Closed
** ˵ : 
**********************************************************/
DllImport int __stdcall MSRReset(void);


#endif

Ӽ޹˾
WWW.ZOCOKJ.COM
ϵ:غ 13318881065

